## webdeveloper 0.1.0

=== DESCRIPTION ===
Package: webdeveloper
Type: Package
Title: Functions for Web Development
Version: 0.1.0
Author: Timothy Conwell
Maintainer: Timothy Conwell <timconwell@gmail.com>
Description: Organizational framework for web development in R including functions to  
    serve static and dynamic content via HTTP methods, includes the html5 package to
    create HTML pages, and offers other utility functions for common tasks related 
    to web development.
License: GPL (>= 2)
Encoding: UTF-8
LazyData: true
Depends: httpuv, html5
Imports: stringi
Suggests: dbWebForms, pgTools
RoxygenNote: 7.1.1
NeedsCompilation: no
Packaged: 2021-01-30 20:17:41 UTC; tim
Repository: CRAN
Date/Publication: 2021-02-05 09:40:05 UTC

## webdeveloper 1.0.0

=== DESCRIPTION ===
Package: webdeveloper
Type: Package
Title: Functions for Web Development
Version: 1.0.0
Author: Timothy Conwell
Maintainer: Timothy Conwell <timconwell@gmail.com>
Description: Organizational framework for web development in R including functions to  
    serve static and dynamic content via HTTP methods, includes the html5 package to
    create HTML pages, and offers other utility functions for common tasks related 
    to web development.
License: GPL (>= 2)
Encoding: UTF-8
Depends: httpuv, html5 (>= 1.0.0)
RoxygenNote: 7.2.0
NeedsCompilation: no
Packaged: 2022-06-22 19:45:07 UTC; tim
Repository: CRAN
Date/Publication: 2022-06-22 20:00:02 UTC

## webdeveloper 1.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: webdeveloper
 Type: Package
 Title: Functions for Web Development
-Version: 1.0.0
+Version: 1.0.1
 Author: Timothy Conwell
 Maintainer: Timothy Conwell <timconwell@gmail.com>
 Description: Organizational framework for web development in R including functions to  
@@ -13,6 +13,6 @@
 Depends: httpuv, html5 (>= 1.0.0)
 RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-06-22 19:45:07 UTC; tim
+Packaged: 2022-07-06 22:02:07 UTC; tim
 Repository: CRAN
-Date/Publication: 2022-06-22 20:00:02 UTC
+Date/Publication: 2022-07-07 02:20:02 UTC

## webdeveloper 1.0.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: webdeveloper
 Type: Package
 Title: Functions for Web Development
-Version: 1.0.1
+Version: 1.0.2
 Author: Timothy Conwell
 Maintainer: Timothy Conwell <timconwell@gmail.com>
 Description: Organizational framework for web development in R including functions to  
@@ -13,6 +13,6 @@
 Depends: httpuv, html5 (>= 1.0.0)
 RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-07-06 22:02:07 UTC; tim
+Packaged: 2022-07-19 18:42:54 UTC; tim
 Repository: CRAN
-Date/Publication: 2022-07-07 02:20:02 UTC
+Date/Publication: 2022-07-19 19:10:02 UTC

## webdeveloper 1.0.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: webdeveloper
 Type: Package
 Title: Functions for Web Development
-Version: 1.0.2
+Version: 1.0.3
 Author: Timothy Conwell
 Maintainer: Timothy Conwell <timconwell@gmail.com>
 Description: Organizational framework for web development in R including functions to  
@@ -13,6 +13,6 @@
 Depends: httpuv, html5 (>= 1.0.0)
 RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-07-19 18:42:54 UTC; tim
+Packaged: 2022-08-08 19:20:19 UTC; tim
 Repository: CRAN
-Date/Publication: 2022-07-19 19:10:02 UTC
+Date/Publication: 2022-08-08 19:40:02 UTC

## webdeveloper 1.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: webdeveloper
 Type: Package
 Title: Functions for Web Development
-Version: 1.0.3
+Version: 1.0.4
 Author: Timothy Conwell
 Maintainer: Timothy Conwell <timconwell@gmail.com>
 Description: Organizational framework for web development in R including functions to  
@@ -11,8 +11,9 @@
 License: GPL (>= 2)
 Encoding: UTF-8
 Depends: httpuv, html5 (>= 1.0.0)
+Imports: future, promises
 RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-08-08 19:20:19 UTC; tim
+Packaged: 2022-09-13 16:48:54 UTC; tim
 Repository: CRAN
-Date/Publication: 2022-08-08 19:40:02 UTC
+Date/Publication: 2022-09-14 20:10:02 UTC

## webdeveloper 1.0.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: webdeveloper
 Type: Package
 Title: Functions for Web Development
-Version: 1.0.4
+Version: 1.0.5
 Author: Timothy Conwell
 Maintainer: Timothy Conwell <timconwell@gmail.com>
 Description: Organizational framework for web development in R including functions to  
@@ -11,9 +11,9 @@
 License: GPL (>= 2)
 Encoding: UTF-8
 Depends: httpuv, html5 (>= 1.0.0)
-Imports: future, promises
+Imports: future, promises, readr, stringi
 RoxygenNote: 7.2.0
 NeedsCompilation: no
-Packaged: 2022-09-13 16:48:54 UTC; tim
+Packaged: 2022-10-18 02:15:27 UTC; tim
 Repository: CRAN
-Date/Publication: 2022-09-14 20:10:02 UTC
+Date/Publication: 2022-10-18 03:50:02 UTC

## webdeveloper 1.1.8

=== debian/changelog ===
webdeveloper (1.1.8-4) unstable; urgency=low

  * Update debian/watch file.
  * Fix typo in debian/changelog.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump maxVersion to 3.6.* to support Iceweasel/Firefox 3.6 (Closes: #548638,
    LP: #551398).
  * Update package description to mention Firefox.
  * Bump Standards-Version to 3.8.4.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Apr 2010 00:39:21 +0200

webdeveloper (1.1.8-3) unstable; urgency=low

  [ Andrea Veri ]
  * debian/control:
    - maintainer set to the pkg-mozext team. Luca won't maintain
      this package anymore. See RFS Bug #548638 for more information.
    - added myself into uploaders. (Closes: #548638)
    - DM tag added.

  [ Benjamin Drung ]
  * use cdbs and mozilla-devscripts 0.16
  * rewrite debian/rules
  * drop unzip from build dependencies
  * remove debian/install and debian/postinst (not needed by mozilla-devscripts)
  * drop patches/build_path (not required)
  * add debian/build-system.patch to add clean target
  * add .patch prefix to patch files
  * add myself to uploaders
  * Rename binary package to xul-ext-webdeveloper according new policy:
    http://wiki.debian.org/Teams/DebianMozExtTeam
  * use ${xpi:Recommends} instead of hardcoded supported apps
  * add Provides and Enhances
  * refer to versioned copyright file

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 01 Oct 2009 21:16:59 +0200

webdeveloper (1.1.8-2) unstable; urgency=low

  * Update my e-mail address.
  * Remove DM-Upload-Allowed field.
  * Implement override_dh_auto_clean instead of a full clean routine,
    recent dh-auto-clean versions launch "ant clean" and upstream build
    file does not provide a clean target (Closes: #543117).
  * Refactorize rules file to use debhelper ant buildsystem support.
  * Bump Standards-Version to 3.8.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 25 Aug 2009 22:12:57 +0200

webdeveloper (1.1.8-1) unstable; urgency=low

  * New upstream release (Closes: #536217).
    - Support for Iceweasel/Firefox 3.5.
  * Patches refreshed for new upstream release.
  * Switch to debhelper 7.
  * Maintain under Debian Mozilla Extension Maintainers (Closes: #536406).
  * Install extension directly in /usr/lib/iceweasel/extensions directory.
  * debian/preinst: remove /usr/share/mozilla-extensions/webdeveloper
    directory (now obsolete) during upgrades to clean stale files.
  * Bump Standards-Version to 3.8.2, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 22 Jul 2009 14:24:56 +0000

webdeveloper (1.1.6+repack-4) unstable; urgency=low

  * debian/patches/toolbar_hidden_by_default:
    - Adjust patch to not propagate collapsed attribute across browser
      sessions (Closes: #520692).
  * debian/patches/insert_clean_submit_button:
    - Feature: allow users to add simple, clean submit buttons in every
      form on the page, thanks Daniel Kahn Gillmor (Closes: #416540).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 05 Apr 2009 16:50:55 +0200

webdeveloper (1.1.6+repack-3) unstable; urgency=low

  * debian/patches/locales_unicode:
    - Locales files are encoded in UTF-8 twice, recoding back to single
      encoding, thanks Timo Weingärtner! (Closes: #517418).
  * debian/control:
    - Remove Conflicts/Replaces against firefox-webdeveloper.
  * debian/watch:
    - Adjust watch file to match new addons site layout, previous regex
      did not work anymore and failed to report upstream version.
  * Bump Standards-Version to 3.8.1, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 22 Mar 2009 14:45:46 +0100

webdeveloper (1.1.6+repack-2) unstable; urgency=low

  * Add ${misc:Depends} to iceweasel-webdeveloper dependencies.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 20 Feb 2009 00:12:07 +0100

webdeveloper (1.1.6+repack-1) experimental; urgency=low

  * Repack upstream tarball to include source code (Closes: #490860).
    New tarball restores locale support too, including a fix for improper
    Hungarian translation for line numbers (Closes: #476705).
  * Switch to debhelper to handle new structure easily.
  * debian/patches/toolbar_hidden_by_default:
    - Do not show webdeveloper toolbar by default (Closes: #504414).
  * Add DM-Upload-Allowed field.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 03 Jan 2009 11:02:55 +0100

webdeveloper (1.1.6-3) unstable; urgency=low

  * New Maintainer (Closes: #488161).
  * debian/control:
    - Adjust Homepage field to link to real homepage.
  * debian/copyright:
    - Upstream licensed under GPLv3, adjusting accordingly.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 02 Jul 2008 21:29:04 +0200

webdeveloper (1.1.6-2) unstable; urgency=low

  * QA upload.
  * Removed out-of-date firefox-webdeveloper package.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 27 Jun 2008 08:31:41 +0400

webdeveloper (1.1.6-1) unstable; urgency=low

  * QA upload.
   + Set maintainer to Debian QA Group.
  * New upstream version, closes: #487483, #456493, #408565.

 -- Dmitry E. Oboukhov <unera@debian.org>  Thu, 26 Jun 2008 23:39:31 +0400

webdeveloper (1.0.2+0-2) unstable; urgency=low

  * Updates of packaging for Firefox/Iceweasel rename:
    - Renamed binary package to iceweasel-webdeveloper
    - Added transition package
    - Replaces instances of "Firefox" to "Iceweasel"

 -- Michael Spang <mspang@uwaterloo.ca>  Sat, 25 Nov 2006 20:46:17 -0500

webdeveloper (1.0.2+0-1) unstable; urgency=low

  * New upstream release (rerelease of 1.0.2 with additional
    locales and support for Firefox 2.0)
  * Migrated to upstream's build infrastructure
  * Moved webdeveloper into /usr/share; symlinked from extension directory
  * Removed mozilla-firefox-webdeveloper transitional package
  * Bumped Standards-Version to 3.7.2 (no changes required)

 -- Michael Spang <mspang@uwaterloo.ca>  Fri, 10 Nov 2006 02:24:10 -0500

webdeveloper (1.0.2-1) unstable; urgency=low

  * New upstream release



=== debian/control ===
Source: webdeveloper
Section: devel
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Veri <andrea.veri89@gmail.com>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: cdbs, debhelper (>= 7), mozilla-devscripts (>= 0.16~), quilt
Build-Depends-Indep: ant
Standards-Version: 3.8.4
Homepage: http://chrispederick.com/work/web-developer/
Vcs-Git: git://git.debian.org/git/pkg-mozext/webdeveloper.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/webdeveloper.git
DM-Upload-Allowed: yes

Package: xul-ext-webdeveloper
Architecture: all
Depends: ${misc:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Conflicts: iceweasel-webdeveloper (<< 1.1.8-3)
Replaces: iceweasel-webdeveloper (<< 1.1.8-3)
Description: web developer extension for the Iceweasel/Firefox web browser
 The Web Developer extension adds a toolbar to Iceweasel/Firefox with numerous
 features aimed at web developers. There are buttons to disable
 various browser features (Java, JavaScript, images), to view, edit,
 and disable stylesheets, to manipulate web forms, to view the
 topography of a page, to display tag details, to view the headers
 of a request, to clear the cache, cookies, and history, to view
 comments, to zoom, to outline selected classes of tags, to resize
 the browser to match a target resolution, and more. There are also
 buttons for easy access to the page's source, to many web validation
 services, and to important web standards documents.

Package: iceweasel-webdeveloper
Architecture: all
Depends: xul-ext-webdeveloper, ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package to ease the migration
 from the iceweasel-webdeveloper to the new xul-ext-webdeveloper package.
 You can remove it safely.

=== debian/rules ===
#!/usr/bin/make -f

MOZ_XPI_BUILD_COMMAND := ant
MOZ_XPI_FILE := builds/web-developer.xpi

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/mozilla-devscripts/xpi.mk

clean::
	rm -rf builds chrome install.js install.rdf

CVSREV := 20090702
get-orig-source:
	cvs -d :pserver:guest:guest@mozdev.org:/cvs export -D $(CVSREV) -d webdeveloper-$(DEB_UPSTREAM_VERSION) webdeveloper/development
	tar c webdeveloper-$(DEB_UPSTREAM_VERSION)/ | gzip -n9 > ../webdeveloper_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm -rf webdeveloper-$(DEB_UPSTREAM_VERSION)/

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
http://ftp.mozilla.org/pub/mozilla.org/addons/60/web_developer-([\d\.]*)-[^-]*\.xpi

## webdeveloper 1.1.9

=== debian/changelog ===
webdeveloper (1.1.9-5) unstable; urgency=low

  * debian/control:
    - ant B-D-I removed, it's not needed anymore.
  * debian/rules:
    - bumped max_version's compatibility to * to avoid
      webdeveloper being broken at every new iceweasel's
      release. (Closes: #652991)

 -- Andrea Veri <and@debian.org>  Fri, 23 Dec 2011 19:55:06 +0100

webdeveloper (1.1.9-4) unstable; urgency=low

  * Changed Breaks: filed in d/control using
    Breaks: ${xpi:Breaks}  (Closes: #649031)

 -- Fabrizio Regalli <fabreg@fabreg.it>  Thu, 17 Nov 2011 18:04:58 +0100

webdeveloper (1.1.9-3) unstable; urgency=low

  * debian/rules:
    - bumped max_version to 8.*, webdeveloper should
      be working again even on latest iceweasel's releases.

 -- Andrea Veri <and@debian.org>  Wed, 12 Oct 2011 19:53:31 +0200

webdeveloper (1.1.9-2) unstable; urgency=low

  * debian/rules:
    - Updated max-version to 6.0.*, webdeveloper should be
      usable again even on iceweasel6.0.

 -- Andrea Veri <and@debian.org>  Thu, 18 Aug 2011 00:14:08 +0200

webdeveloper (1.1.9-1) unstable; urgency=low

  [ Andrea Veri ]
  * debian/rules:
    - CVSREV moved to today's date, we need get-orig-source 
      to grab latest data from upstream's cvs.
    - Added a nice trick that will unpack upstream's xpi,
      then it will bump up max-version to 5.0.* on the install.rdf
      file and repack everything again into a fixed .xpi file.
    - Added a clean rule to get rid of $(WORKDIR) and xul-ext-webdeveloper.xpi
      file.
  * debian/control:
    - Updating my e-mail address.

  [ Fabrizio Regalli ]
  * New upstream release (Closes: #617502)
  * Upgrade d/compat to 8.
  * Added myself to Uploaders.
  * Switch to debhelper (>= 8) and  mozilla-devscripts (>= 0.22~)
  * Bump to 3.9.2 Standards-Version.
  * Added ${xpi:Depends} to Depends.
  * Removed Build-Depends-Indep: ant.

 -- Fabrizio Regalli <fabreg@fabreg.it>  Thu, 28 Jul 2011 10:26:52 +0200

webdeveloper (1.1.8-5) unstable; urgency=low

  * Use Breaks instead of Conflicts.
  * Bump Standard-Version to 3.9.1 (no changes required).
  * Switch from cdbs to dh.
  * Drop quilt from Build-Depends and drop README.source due to 3.0 (quilt).
  * Drop transitional package.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 14 Sep 2010 00:59:37 +0200

=== debian/control ===
Source: webdeveloper
Section: devel
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Veri <and@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.22~)
Standards-Version: 3.9.2
Homepage: http://chrispederick.com/work/web-developer/
Vcs-Git: git://git.debian.org/git/pkg-mozext/webdeveloper.git
Vcs-Browser: http://git.debian.org/?p=pkg-mozext/webdeveloper.git
DM-Upload-Allowed: yes

Package: xul-ext-webdeveloper
Architecture: all
Depends: ${misc:Depends}, ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Replaces: firefox-webdeveloper (<< 1.1.8-3), iceweasel-webdeveloper (<< 1.1.8-3)
Description: web developer extension for the Iceweasel/Firefox web browser
 The Web Developer extension adds a toolbar to Iceweasel/Firefox with numerous
 features aimed at web developers. There are buttons to disable
 various browser features (Java, JavaScript, images), to view, edit,
 and disable stylesheets, to manipulate web forms, to view the
 topography of a page, to display tag details, to view the headers
 of a request, to clear the cache, cookies, and history, to view
 comments, to zoom, to outline selected classes of tags, to resize
 the browser to match a target resolution, and more. There are also
 buttons for easy access to the page's source, to many web validation
 services, and to important web standards documents.

=== debian/rules ===
#!/usr/bin/make -f

WORKDIR=$(CURDIR)/xpi-repack

%:
	dh $@ --with xul-ext

override_dh_auto_build:
	find $(CURDIR) -type d -empty -delete
	xpi-unpack builds/web-developer.xpi $(WORKDIR)
	sed -i 's,<em:maxVersion>4.0.*</em:maxVersion>,<em:maxVersion>*</em:maxVersion>,' $(WORKDIR)/install.rdf
	xpi-pack $(WORKDIR) xul-ext-webdeveloper.xpi

override_dh_auto_install:
	install-xpi --remove-license-files xul-ext-webdeveloper.xpi

override_dh_auto_clean:
	rm -rf $(WORKDIR)
	rm -f xul-ext-webdeveloper.xpi

CVSREV := 20110808
get-orig-source:
	cvs -d :pserver:guest:guest@mozdev.org:/cvs export -D $(CVSREV) -d webdeveloper-$(DEB_UPSTREAM_VERSION) webdeveloper/development
	tar c webdeveloper-$(DEB_UPSTREAM_VERSION)/ | gzip -n9 > ../webdeveloper_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm -rf webdeveloper-$(DEB_UPSTREAM_VERSION)/

## webdeveloper 1.1.9-1uk1

=== debian/changelog ===
webdeveloper (1.1.9-1uk1) unstable; urgency=low

  * New upstream release

 -- Albrecht Gebhardt <agebhard@pc30-math.math.uni-klu.ac.at>  Thu, 18 Aug 2011 09:23:38 +0200

webdeveloper (1.1.8-4ubuntu2~9.10.1) karmic-security; urgency=low

  * Backport from Lucid to support Firefox 3.6
  * Don't use source format 3.0

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Jun 2010 02:05:32 +0100

webdeveloper (1.1.8-4ubuntu2) lucid; urgency=low

  * Rebuild to pick up new features from mozilla-devscripts 0.21.

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 12 Apr 2010 15:39:10 +0200

webdeveloper (1.1.8-4ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Rename transitional package from iceweasel-webdeveloper to
      firefox-webdeveloper.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 08 Apr 2010 00:56:04 +0200

webdeveloper (1.1.8-3ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - Update package description to mention Firefox.
  * Rename transitional package from iceweasel-webdeveloper to
    firefox-webdeveloper.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 15 Nov 2009 01:12:13 +0100

webdeveloper (1.1.8-1ubuntu2) karmic; urgency=low

  * debian/control:
    - added m-ds depends together with xpi:recommends,
      xpi:provides, xpi:enhances fields.
    - unzip B-D-I removed, it's no more needed.
  * debian/rules:
    - adapted to m-ds, the package won't FTBFS anymore.
  * debian/install, preinst:
    - removed, not needed with m-ds
  * debian/patches/build-system.patch:
    - taken from our debian package to allow the creation
      of a correct clean rule.
  * debian/patches/build_path:
    - removed, not needed anymore.

 -- Andrea Veri <andrea.veri89@gmail.com>  Sun, 11 Oct 2009 13:55:44 +0200

webdeveloper (1.1.8-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    + debian/control:
      - Build firefox-webdeveloper and adjust it for Firefox.
    + debian/links:
      - Install files in /usr/lib/firefox-addons

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 22 Jul 2009 23:44:15 +0200

webdeveloper (1.1.6+repack-4ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    + debian/control:
      - Build firefox-webdeveloper and adjust it for Firefox.
      - Add Vcs-Bzr header.
    + iceweasel-webdeveloper.install => firefox-webdeveloper.install.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 08 May 2009 23:13:33 +0200

webdeveloper (1.1.6+repack-1ubuntu1) jaunty; urgency=low

  * Merge from Debian experimental, remaining Ubuntu changes:
    + debian/control:
      - Build firefox-webdeveloper and adjust it for Firefox.
      - Do not conflict/replaces with firefox-developer.
      - Add Vcs-Bzr header.
    + debian/rules:
      - Adjust makebuilddir to build firefox-webdeveloper package.
    + Rename iceweasel-{webdeveloper.links,firefox-webdeveloper.install} to
      firefox-{webdeveloper.links,firefox-webdeveloper.install}

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 04 Jan 2009 12:25:00 +0100

webdeveloper (1.1.6-3ubuntu3) jaunty; urgency=low

  * No longer list firefox-2 as alternate dependency (LP: #272959).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 06 Nov 2008 23:33:05 +0100

webdeveloper (1.1.6-3ubuntu2) intrepid; urgency=low

  * fix LP: #272772: packages that Depend/Recommend/Suggest firefox
    (meta-package) must alternatively Depend/Recommend/Suggest abrowser
    - update debian/control
  * add Vcs-Bzr header to control
    - update debian/control

 -- Alexander Sack <asac@ubuntu.com>  Mon, 22 Sep 2008 03:20:33 +0200

webdeveloper (1.1.6-3ubuntu1) intrepid; urgency=low

  * Merge from Debian unstable, remaining Ubuntu changes:
    + debian/control:
      - Build firefox-webdeveloper and adjust it for Firefox.
      - Do not conflict/replaces with firefox-developer
    + debian/rules:
      - Adjust makebuilddir to build firefox-webdeveloper package.
    + Rename iceweasel-{webdeveloper.links,firefox-webdeveloper.install} to
      firefox-{webdeveloper.links,firefox-webdeveloper.install}.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 06 Jul 2008 11:21:49 +0200

webdeveloper (1.1.5-0ubuntu2) hardy; urgency=low

  * Merged upstream version. (v1.1.5) (LP: #204124)
    - Support for Firefox 3.
  * Changed to new mozilla-devscripts xpi build
    - updated debian/rules
    - removed debian/firefox-webdeveloper.*
  * Changed copyright to include new GPLv3 license.
    - updated debian/copyright
  * Consolodated build and install deps.
    - updated debian/control
  * Moved built xpi files to top of tree.
    - updated build.xml

  [ Alexander Sack ]
  * reference GPL-2 in /usr/share/common-licenses instead of shipping full
    license text in copyright
    - update debian/copyright

 -- Jared Greenwald <greenwaldjared@gmail.com>  Wed, 19 Mar 2008 16:29:55 -0400

webdeveloper (1.0.2+0-2ubuntu2) hardy; urgency=low

  * Modify Maintainer value to match the DebianMaintainerField
    specification (LP: #176994).

 -- Siegfried-Angel Gevatter Pujals (RainCT) <rainct@ubuntu.com>  Tue, 18 Dec 2007 18:00:51 +0100

webdeveloper (1.0.2+0-2ubuntu1) feisty; urgency=low

  * Merge from Debian unstable.
  * Ubuntu changes dropped:
    - Bumped firefox dep to 2.0 to fix ftbfs
  * Run s/iceweasel/firefox/gi over debian/*, and renamed some files back.
  * Renamed the binary package back to firefox-webdeveloper, and the
    transitional package to mozilla-firefox-webdeveloper.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sun, 24 Dec 2006 21:44:09 +1100

=== debian/rules ===
#!/usr/bin/make -f

MOZ_XPI_BUILD_COMMAND := ant
MOZ_XPI_FILE := builds/web-developer.xpi

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/mozilla-devscripts/xpi.mk

clean::
	rm -rf builds chrome install.js install.rdf

CVSREV := 20110818
get-orig-source:
	cvs -d :pserver:guest:guest@mozdev.org:/cvs export -D $(CVSREV) -d webdeveloper-$(DEB_UPSTREAM_VERSION) webdeveloper/development
	tar c webdeveloper-$(DEB_UPSTREAM_VERSION)/ | gzip -n9 > ../webdeveloper_$(DEB_UPSTREAM_VERSION).orig.tar.gz
	rm -rf webdeveloper-$(DEB_UPSTREAM_VERSION)/

## webdeveloper 1.2.5+repack

=== debian/changelog ===
webdeveloper (1.2.5+repack-1) unstable; urgency=low

  * Team upload
  * Use repacked upstream tarball
  * debian/patches:
    - No phone home on upgrade (Closes: #669221)
  * debian/control:
    - Remove now useless versionning for mozilla-devscripts
    - Update Vcs to canonical URI
    - Remove now useless Replaces
    - Shorten synopsis
  * Depend on fonts-font-awesome, libjs-codemirro, libjs-jquery, and
    libjs-twitter-bootstrap instead of using embedded copy
  * Add jQuery and ICanHaz sources for DFSG compliance
  * Minify ICanHaz JavaScript from source
  * debian/copyright
    - Convert to format 1.0
    - Document third parties
  * debian/upstream-changelog:
    - Add upstream changelog

 -- David Prévot <taffit@debian.org>  Thu, 19 Sep 2013 22:57:05 -0400

webdeveloper (1.2.5-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - drop the dirty hack for max_version, it's not needed
      anymore since Iceweasel >= 10.
  * debian/control:
    - bump Standards-Version to latest.

 -- Andrea Veri <and@debian.org>  Sat, 18 May 2013 13:36:00 +0200

=== debian/control ===
Source: webdeveloper
Section: devel
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders: Andrea Veri <and@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
Build-Depends: debhelper (>= 8), mozilla-devscripts, node-uglify
Standards-Version: 3.9.4
Homepage: http://chrispederick.com/work/web-developer/
Vcs-Git: git://anonscm.debian.org/pkg-mozext/webdeveloper.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/webdeveloper.git

Package: xul-ext-webdeveloper
Architecture: all
Depends: fonts-font-awesome,
         libjs-codemirror,
         libjs-jquery,
         libjs-twitter-bootstrap,
         ${misc:Depends},
         ${xpi:Depends}
Recommends: ${xpi:Recommends}
Provides: ${xpi:Provides}
Enhances: ${xpi:Enhances}
Breaks: ${xpi:Breaks}
Description: web developer extension
 The Web Developer extension adds a toolbar to Iceweasel/Firefox with numerous
 features aimed at web developers. There are buttons to disable
 various browser features (Java, JavaScript, images), to view, edit,
 and disable stylesheets, to manipulate web forms, to view the
 topography of a page, to display tag details, to view the headers
 of a request, to clear the cache, cookies, and history, to view
 comments, to zoom, to outline selected classes of tags, to resize
 the browser to match a target resolution, and more. There are also
 buttons for easy access to the page's source, to many web validation
 services, and to important web standards documents.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_install:
	install-xpi --remove-license-files xul-ext-webdeveloper.xpi
	rm $(CURDIR)/debian/xul-ext-webdeveloper/usr/share/xul-ext/webdeveloper/content/web-developer/common/jquery/icanhaz.js
	uglifyjs --no-copyright -o \
		$(CURDIR)/debian/xul-ext-webdeveloper/usr/share/xul-ext/webdeveloper/content/web-developer/common/jquery/icanhaz.js \
		$(CURDIR)/debian/ICanHaz.js

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream-changelog

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
http://ftp.mozilla.org/pub/mozilla.org/addons/60/web_developer-([\d\.]*)-[^-]*\.xpi debian xpi-repack

## webdeveloper 1.2.13

=== debian/changelog ===
webdeveloper (1.2.13-1) unstable; urgency=medium

  * Force xz compression on repack
  * New upstream version 1.2.13
  * Adapt to now provided icanhaz.js source
  * Adapt to now provided jquery.js source
  * Update packaging to new upstream file paths
  * Update Standards-Version to 4.0.0
  * Replace Andrea Veri from Uploaders (Closes: #827974)

 -- David Prévot <taffit@debian.org>  Wed, 02 Aug 2017 11:13:38 -0400

webdeveloper (1.2.5+repack-3) unstable; urgency=medium

  * Team upload
  * Document upstream VCS
  * Adapt to latest libjs-codemirror layout (Closes: #791769)
  * Drop Iceweasel from description
  * Update Standards-Version to 3.9.7
  * Rebuild with recent mozilla-devscripts to be ready for Firefox

 -- David Prévot <taffit@debian.org>  Sat, 26 Mar 2016 14:47:32 -0400

webdeveloper (1.2.5+repack-2) unstable; urgency=medium

  * Team upload
  * Drop Fabrizio Regalli from uploaders (Closes: #761875)
  * Adapt watch file for new amo scheme
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Tue, 28 Apr 2015 18:18:48 -0400

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: devel
 Priority: optional
 Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
-Uploaders: Andrea Veri <and@debian.org>, Fabrizio Regalli <fabreg@fabreg.it>
-Build-Depends: debhelper (>= 8), mozilla-devscripts, node-uglify
-Standards-Version: 3.9.4
+Uploaders: David Prévot <taffit@debian.org>
+Build-Depends: debhelper (>= 8), mozilla-devscripts
+Standards-Version: 4.0.0
 Homepage: http://chrispederick.com/work/web-developer/
 Vcs-Git: git://anonscm.debian.org/pkg-mozext/webdeveloper.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-mozext/webdeveloper.git
@@ -12,7 +12,7 @@
 Package: xul-ext-webdeveloper
 Architecture: all
 Depends: fonts-font-awesome,
-         libjs-codemirror,
+         libjs-codemirror (>= 5),
          libjs-jquery,
          libjs-twitter-bootstrap,
          ${misc:Depends},
@@ -22,7 +22,7 @@
 Enhances: ${xpi:Enhances}
 Breaks: ${xpi:Breaks}
 Description: web developer extension
- The Web Developer extension adds a toolbar to Iceweasel/Firefox with numerous
+ The Web Developer extension adds a toolbar to Firefox with numerous
  features aimed at web developers. There are buttons to disable
  various browser features (Java, JavaScript, images), to view, edit,
  and disable stylesheets, to manipulate web forms, to view the

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_install:
	install-xpi --remove-license-files xul-ext-webdeveloper.xpi

override_dh_installchangelogs:
	dh_installchangelogs $(CURDIR)/debian/upstream-changelog

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack//,uversionmangle=s/([^\.\d]+)/\~$1/,compression=xz \
https://addons.mozilla.org/en-US/firefox/addon/web-developer/ \
https://addons.mozilla.org/firefox/downloads/file/\d+/web_developer-(\d+(?:\.\d+){1,3}(?:\w+\d+)?)-[+\w]+\.xpi\?src=dp-btn-\w+
